Skip to content
ShaireDevelopers

milestones

6 endpoints.

get/api/milestones#

Request
curl https://api.shairelabs.com/api/milestones \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · Milestone[]

idstring · uuid*
workspaceIdstring · uuid*
titlestring*
descriptionobject | null*
further keys allowed
typestring*
doc
contentunknown[]
startDatestring | null*
endDatestring | null*
assigneeIds(string · uuid)[]*
createdAtstring*

Also answers 401 and 403. SeeErrors.

post/api/milestones#

Body

titlestring*
min length 1 · max length 200
descriptionobject | null
further keys allowed
typestring*
doc
contentunknown[]
startDatestring · date | null
endDatestring · date | null
assigneeIds(string · uuid)[]
default []
Request
curl https://api.shairelabs.com/api/milestones \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"title":"example"}'

Response · 201 · MilestoneDetail

idstring · uuid*
workspaceIdstring · uuid*
titlestring*
descriptionobject | null*
further keys allowed
typestring*
doc
contentunknown[]
startDatestring | null*
endDatestring | null*
assigneeIds(string · uuid)[]*
createdAtstring*
summaryobject*
milestoneIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*

Also answers 401 and 403. SeeErrors.

get/api/milestones/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/milestones/$MILESTONE_ID \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · MilestoneDetail

idstring · uuid*
workspaceIdstring · uuid*
titlestring*
descriptionobject | null*
further keys allowed
typestring*
doc
contentunknown[]
startDatestring | null*
endDatestring | null*
assigneeIds(string · uuid)[]*
createdAtstring*
summaryobject*
milestoneIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*

Also answers 401 and 403. SeeErrors.

patch/api/milestones/{id}#

Path

idstring*

Body

titlestring
min length 1 · max length 200
descriptionobject | null
further keys allowed
typestring*
doc
contentunknown[]
startDatestring · date | null
endDatestring · date | null
assigneeIds(string · uuid)[]
default []
Request
curl https://api.shairelabs.com/api/milestones/$MILESTONE_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · MilestoneDetail

idstring · uuid*
workspaceIdstring · uuid*
titlestring*
descriptionobject | null*
further keys allowed
typestring*
doc
contentunknown[]
startDatestring | null*
endDatestring | null*
assigneeIds(string · uuid)[]*
createdAtstring*
summaryobject*
milestoneIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*

Also answers 401 and 403. SeeErrors.

delete/api/milestones/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/milestones/$MILESTONE_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

get/api/milestones/{id}/summary#

Path

idstring*
Request
curl https://api.shairelabs.com/api/milestones/$MILESTONE_ID/summary \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · MilestoneSummary

milestoneIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*

Also answers 401 and 403. SeeErrors.